<?php

namespace App\Filament\Resources\StudentLifeResource\Pages;

use App\Filament\Resources\StudentLifeResource;
use Filament\Resources\Pages\CreateRecord;
use Filament\Notifications\Notification;

class CreateStudentLife extends CreateRecord
{
    protected static string $resource = StudentLifeResource::class;

    protected function getRedirectUrl(): string
    {
        return $this->getResource()::getUrl('index');
    }

    protected function getCreatedNotification(): ?Notification
    {
        return Notification::make()
            ->success()
            ->title('Student Life created successfully')
            ->body('The student life record has been created successfully.');
    }

    protected function mutateFormDataBeforeCreate(array $data): array
    {
        return $data;
    }
} 